
import request from '@/utils/request'
// 船只系统数据管理
export function pipeSyGetList(data) {
  console.log(data)
  return request({
    url: '/api/gj/pipeSystem/getList',
    method: 'post',
    data
  })
}
//前方分段管理删除
export function segmentDel(data) {
  return request({
    url: '/api/gxzz/fdjhgl/del',
    method: 'post',
    data
  })
}
//前方分段修改
export function segmentUpdate(data) {
  return request({
    url: '/api/gxzz/fdjhgl/update',
    method: 'post',
    data
  })
}
//前方分段修改状态提交 updateSelect
export function segmentUpdateSelect(data) {
  return request({
    url: '/api/gxzz/fdjhgl/updateSelect',
    method: 'post',
    data
  })
}
//前方分段修改状态审核 updateSelectSh
export function segmentUpdateSelectSh(data) {
  return request({
    url: '/api/gxzz/fdjhgl/updateSelectSh',
    method: 'post',
    data
  })
}

//前方分段修改状态审核 updateSelectSh
export function Excelupdate(data) {
  return request({
    url: '/api/gxzz/fdjhgl/uploadExcel',
    method: 'post',
    data
  })
}



/**
 * 需求单位查询
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function segmentQuery(data) {
  return request({
    url: '/api/gxzz/fdjhgl/all',
    method: 'post',
    data
  })
}

export function getSegmentBase(data) {
  return request({
    url: '/api/gxzz/fdjhgl/getSegmentBase',
    method: 'post',
    data
  })
}






